%define date		0
%define rel		1

%define major		0
%define libname		%mklibname ts %{major}
%define develname	%mklibname ts -d

Name:		tslib
Version:	1.22
%if %{date}
Release:	%mkrel 0.%{date}.%{rel}
Source:		%name-%{date}.tar.bz2
%else
Release:	%mkrel %{rel}
Source:		https://github.com/kergoth/tslib/releases/download/%{version}/%{name}-%{version}.tar.xz
%endif
Summary:	Touchscreen access library
URL:		http://developer.berlios.de/projects/tslib/
License:	GPLv2+
Group:		System/Libraries

%description
Hardware independent touchscreen access library.

%package	utils
Summary:	Touchscreen access library utilities
Group:		System/Kernel and hardware

%description	utils
Hardware independent touchscreen access library.

This package contains the tslib utilities.

%package	common
Summary:	Touchscreen access library common files
Group:		System/Kernel and hardware
BuildArch:	noarch

%description	common
Hardware independent touchscreen access library.

This package contains the tslib configuration file and documentation.

%package -n	%{libname}
Summary:	Touchscreen access library
Group:		System/Libraries
Requires:	%{name}-common >= %{version}
Obsoletes:	%{_lib}ts1.0_0 < 1.15-2

%description -n	%{libname}
Hardware independent touchscreen access library.

%package -n	%{develname}
Summary:	Development library and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libts-devel = %{version}-%{release}

%description -n	%{develname}
Development files (headers etc.) for %{name}.

%prep
%setup -q
%autopatch -p1
perl -pi -e 's,^# module_raw input$,module_raw input,' etc/ts.conf
# For quick verification during building:
grep "module_raw input" etc/ts.conf

%build
./autogen.sh
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files utils
%{_bindir}/ts_*

%files common
%doc README* AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/ts.conf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%dir %{_libdir}/ts
%{_libdir}/ts/*.so

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/tslib.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Oct 22 2020 daviddavid <daviddavid> 1.22-1.mga8
+ Revision: 1638272
- new version: 1.22

* Sun Feb 16 2020 umeabot <umeabot> 1.21-2.mga8
+ Revision: 1536696
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 23 2019 daviddavid <daviddavid> 1.21-1.mga8
+ Revision: 1455254
- new version: 1.21

* Fri Jul 05 2019 daviddavid <daviddavid> 1.20-1.mga8
+ Revision: 1418733
- new version: 1.20

* Sun Feb 03 2019 luigiwalser <luigiwalser> 1.19-1.mga7
+ Revision: 1362698
- 1.19
- remove upstream patches

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.18-1.mga7
+ Revision: 1346532
- add upstream patches via debian to fix build
- 1.18

* Sun Sep 23 2018 umeabot <umeabot> 1.16-2.mga7
+ Revision: 1301464
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 1.16-1.mga7
+ Revision: 1221988
- new version: 1.16

* Wed Apr 18 2018 daviddavid <daviddavid> 1.15-2.mga7
+ Revision: 1219929
- fix library pkg name removing the api 1.0 as it is no more provides
- same for the plugins dir

* Wed Apr 18 2018 kekepower <kekepower> 1.15-1.mga7
+ Revision: 1219854
- Update to version 1.15

* Sat Mar 05 2016 blino <blino> 1.1-3.mga6
+ Revision: 985896
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Sun Jan 03 2016 wally <wally> 1.1-2.mga6
+ Revision: 918933
- loosen requires to not defeat the purpose of libification

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.1-1.mga6
+ Revision: 918866
- 1.1
- remove patches (fixed upstream)
- api is now 1.0

* Sat Nov 07 2015 pterjan <pterjan> 1.0-12.mga6
+ Revision: 898423
- Drop the release of Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0-11.mga5
+ Revision: 748339
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-10.mga5
+ Revision: 689961
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-9.mga4
+ Revision: 519784
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-8.mga3
+ Revision: 384830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.0-7.mga3
+ Revision: 337938
- patch1: fix build with automake 1.13

* Sat Oct 13 2012 fwang <fwang> 1.0-6.mga3
+ Revision: 305191
- drop la files

* Sun Feb 20 2011 eandry <eandry> 1.0-6.mga1
+ Revision: 54670
- drop old conditional
- imported package tslib


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0-5mdv2010.0
+ Revision: 445562
- rebuild

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 1.0-4mdv2009.1
+ Revision: 346002
- fix build with glibc 2.8 (patch from debian)
- spec file cleaning

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 16 2007 Anssi Hannula <anssi@mandriva.org> 1.0-1mdv2008.0
+ Revision: 52350
- initial Mandriva Linux release based on .spec from Gary Greene
  <greeneg@tolharadys.net>

